Made in 10Docs
GuidesAPI
ReferenceGuardrails

Change a guardrail set

Changes the name, or replaces the whole list of rules.

PATCH
/guardrails/{guardrail_id}

Authorization

secretKey
headerAuthorizationBearer <sk_live_… or sk_test_… (a prefix and 40 base62 characters)>

A secret key from the dashboard, sent as Authorization: Bearer sk_live_…. Live keys run real, charged calls; test keys (sk_test_…) run calls of at most 60 seconds, 20 a day per organization, never charged. Each key sees only its own env's calls, meetings, webhooks, memories and analytics. Publishable keys (pk_…) are refused.

Path Parameters

guardrail_id*string

The guardrail set's id.

Match^grd_[0-9A-Za-z]{20}$
Example"grd_8Vb3Np6XqL1sKw9TfM4c"

Request Body

application/json
  1. body
name?string
Length1 <= length <= 80
rules?array<>

1 to 50 rules, each one line of at most 300 characters. Repeats (any case) are dropped.

Items1 <= items <= 50

Response Body

The set as it is now.

application/json
  1. response
Example
{  "id": "grd_8Vb3Np6XqL1sKw9TfM4c",  "name": "Money",  "rules": [    "Never discuss competitors' prices.",    "Never promise refunds."  ],  "character_ids": [    "chr_4fT9kQ2mXw7LbN3pZs8V"  ],  "created_unix": 1793300000,  "updated_unix": 1793300000}
id*GuardrailSetId
Match^grd_[0-9A-Za-z]{20}$
Example"grd_8Vb3Np6XqL1sKw9TfM4c"
name*string
Length1 <= length <= 80
rules*array<>

1 to 50 rules, each one line of at most 300 characters. Repeats (any case) are dropped.

Items1 <= items <= 50
character_ids*array<>
created_unix*Unix

Unix seconds, UTC.

Formatint64
Example1793300000
updated_unix*Unix

Unix seconds, UTC.

Formatint64
Example1793300000
Example Request
curl -X PATCH 'https://api.daxov.com/v1/guardrails/grd_8Vb3Np6XqL1sKw9TfM4c' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "id": "grd_8Vb3Np6XqL1sKw9TfM4c",  "name": "Money",  "rules": [    "Never discuss competitors' prices.",    "Never promise refunds."  ],  "character_ids": [    "chr_4fT9kQ2mXw7LbN3pZs8V"  ],  "created_unix": 1793300000,  "updated_unix": 1793300000}